#!../../bin/linux-aarch64/contecCPI

#- You may have to change contecCPI to something else
#- everywhere it appears in this file

< envPaths

epicsEnvSet("AI",   "AIO000")
epicsEnvSet("AO",   "AIO001")
epicsEnvSet("BI",   "DIO001")
epicsEnvSet("BO",   "DIO001")
epicsEnvSet("USER", "epics")

cd "${TOP}"

## Register all support components
dbLoadDatabase "dbd/contecCPI.dbd"
contecCPI_registerRecordDeviceDriver pdbbase

## Load record instances
dbLoadRecords("db/devAiCPI.db","USER=$(USER),NAME=$(AI),CH=0")
dbLoadRecords("db/devAiCPI.db","USER=$(USER),NAME=$(AI),CH=1")
dbLoadRecords("db/devAiCPI.db","USER=$(USER),NAME=$(AI),CH=2")
dbLoadRecords("db/devAiCPI.db","USER=$(USER),NAME=$(AI),CH=3")
dbLoadRecords("db/devAoCPI.db","USER=$(USER),NAME=$(AO),CH=0")
dbLoadRecords("db/devAoCPI.db","USER=$(USER),NAME=$(AO),CH=1")
dbLoadRecords("db/devMbboDirectCPI.db","USER=$(USER),NAME=$(BO),PORT=0")
dbLoadRecords("db/devMbbiDirectCPI.db","USER=$(USER),NAME=$(BI),PORT=0")
dbLoadRecords("db/devBoCPI.db","USER=$(USER),NAME=$(BO),PORT=0,CH=0")
dbLoadRecords("db/devBoCPI.db","USER=$(USER),NAME=$(BO),PORT=0,CH=1")
dbLoadRecords("db/devBoCPI.db","USER=$(USER),NAME=$(BO),PORT=0,CH=2")
dbLoadRecords("db/devBoCPI.db","USER=$(USER),NAME=$(BO),PORT=0,CH=3")
dbLoadRecords("db/devBoCPI.db","USER=$(USER),NAME=$(BO),PORT=0,CH=4")
dbLoadRecords("db/devBoCPI.db","USER=$(USER),NAME=$(BO),PORT=0,CH=5")
dbLoadRecords("db/devBoCPI.db","USER=$(USER),NAME=$(BO),PORT=0,CH=6")
dbLoadRecords("db/devBoCPI.db","USER=$(USER),NAME=$(BO),PORT=0,CH=7")
dbLoadRecords("db/devBiCPI.db","USER=$(USER),NAME=$(BI),PORT=0,CH=0")
dbLoadRecords("db/devBiCPI.db","USER=$(USER),NAME=$(BI),PORT=0,CH=1")
dbLoadRecords("db/devBiCPI.db","USER=$(USER),NAME=$(BI),PORT=0,CH=2")
dbLoadRecords("db/devBiCPI.db","USER=$(USER),NAME=$(BI),PORT=0,CH=3")
dbLoadRecords("db/devBiCPI.db","USER=$(USER),NAME=$(BI),PORT=0,CH=4")
dbLoadRecords("db/devBiCPI.db","USER=$(USER),NAME=$(BI),PORT=0,CH=5")
dbLoadRecords("db/devBiCPI.db","USER=$(USER),NAME=$(BI),PORT=0,CH=6")
dbLoadRecords("db/devBiCPI.db","USER=$(USER),NAME=$(BI),PORT=0,CH=7")

cd "${TOP}/iocBoot/${IOC}"
iocInit

## Start any sequence programs
#seq sncxxx,"user=epics"
